Edit

Share via


Labels - Bulk Remove Labels

Remove sensitivity labels from Fabric items (such as lakehouses and reports) by item ID. The sensitivity labels of the autogenerated items linked to the items in the call, are removed and their IDs aren't returned. Items with linked autogenerated items that are supported are: Lakehouse, Warehouse, Datamart, SQLDatabase, MirroredDatabase.

For a usage example, see Set or remove sensitivity labels.

Permissions

  • The user must be a Fabric Administrator.
  • The admin user must have sufficient usage rights to delete labels.

Required Scope

Tenant.ReadWrite.All

Limitations

  • Maximum 25 requests per hour.
  • Each request can update up to 2,000 Fabric items.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities No

Interface

POST https://api.fabric.microsoft.com/v1/admin/items/bulkRemoveLabels

Request Body

Name Type Description
items

ItemInfo[]

A list of items.

Responses

Name Type Description
200 OK

ItemsChangeLabelResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • BadRequest - Unable to process the operation due to an error in the request.

Examples

Remove labels example

Sample request

POST https://api.fabric.microsoft.com/v1/admin/items/bulkRemoveLabels

{
  "items": [
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542a",
      "type": "Dashboard"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8b",
      "type": "Dashboard"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542c",
      "type": "Report"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542e",
      "type": "SemanticModel"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8f",
      "type": "Notebook"
    }
  ]
}

Sample response

{
  "itemsChangeLabelStatus": [
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542a",
      "type": "Dashboard",
      "status": "NotFound"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8b",
      "type": "Dashboard",
      "status": "Failed"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542c",
      "type": "Report",
      "status": "Succeeded"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542e",
      "type": "SemanticModel",
      "status": "InsufficientUsageRights"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8f",
      "type": "Notebook",
      "status": "FailedToGetUsageRights"
    }
  ]
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ItemChangeLabelStatus

The unique ID and information protection label change status of a Fabric item

ItemInfo

The item information, including item ID and type.

ItemsChangeLabelResponse

A list of the unique IDs and information protection label change status of the Fabric items in the label change request.

ItemType

The type of the item. Additional item types may be added over time.

RemoveLabelsRequest

A list of items requiring an information protection label update. Each item in the list includes the item ID and Fabric item type.

Status

The status of an information protection label change operation. Additional tenant setting property types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ItemChangeLabelStatus

The unique ID and information protection label change status of a Fabric item

Name Type Description
id

string

The unique ID of a Fabric item. The ID is in UUID format.

status

Status

The status of an information protection label change operation. Additional tenant setting property types may be added over time.

type

ItemType

The Fabric item type.

ItemInfo

The item information, including item ID and type.

Name Type Description
id

string (uuid)

An ID in UUID format.

type

ItemType

The item type.

ItemsChangeLabelResponse

A list of the unique IDs and information protection label change status of the Fabric items in the label change request.

Name Type Description
itemsChangeLabelStatus

ItemChangeLabelStatus[]

A list of items change label status.

ItemType

The type of the item. Additional item types may be added over time.

Value Description
Dashboard

PowerBI dashboard.

Report

PowerBI report.

SemanticModel

PowerBI semantic model.

PaginatedReport

PowerBI paginated report.

Datamart

PowerBI datamart.

Lakehouse

A lakehouse.

Eventhouse

An eventhouse.

Environment

An environment.

KQLDatabase

A KQL database.

KQLQueryset

A KQL queryset.

KQLDashboard

A KQL dashboard.

DataPipeline

A data pipeline.

Notebook

A notebook.

SparkJobDefinition

A spark job definition.

MLExperiment

A machine learning experiment.

MLModel

A machine learning model.

Warehouse

A warehouse.

Eventstream

An eventstream.

SQLEndpoint

An SQL endpoint.

MirroredWarehouse

A mirrored warehouse.

MirroredDatabase

A mirrored database.

Reflex

A Reflex.

GraphQLApi

An API for GraphQL item.

MountedDataFactory

A MountedDataFactory.

SQLDatabase

A SQLDatabase.

CopyJob

A Copy job.

VariableLibrary

A VariableLibrary.

Dataflow

A Dataflow.

ApacheAirflowJob

An ApacheAirflowJob.

WarehouseSnapshot

A Warehouse snapshot.

DigitalTwinBuilder

A DigitalTwinBuilder.

DigitalTwinBuilderFlow

A Digital Twin Builder Flow.

MirroredAzureDatabricksCatalog

A mirrored azure databricks catalog.

Map

A Map.

AnomalyDetector

An Anomaly Detector.

UserDataFunction

A User Data Function.

GraphModel

A GraphModel.

GraphQuerySet

A Graph QuerySet.

SnowflakeDatabase

A Snowflake Database to store Iceberg tables created from Snowflake account.

OperationsAgent

A OperationsAgent.

CosmosDBDatabase

A Cosmos DB Database.

Ontology

An Ontology.

EventSchemaSet

An EventSchemaSet.

DataAgent

A DataAgent.

RemoveLabelsRequest

A list of items requiring an information protection label update. Each item in the list includes the item ID and Fabric item type.

Name Type Description
items

ItemInfo[]

A list of items.

Status

The status of an information protection label change operation. Additional tenant setting property types may be added over time.

Value Description
Failed

Failed to set a new label. Please retry.

FailedToGetUsageRights

Failed to set a new label. The Fabric item has a sensitivity label with protection settings, and Fabric was unable to verify that the user has sufficient usage rights to change the label.

InsufficientUsageRights

Failed to set a new label. The Fabric item has a sensitivity label with protection settings, and the admin user (and the delegated user, if provided) doesn't have sufficient usage rights to change the label.

NotFound

The Fabric item ID, label or type wasn't found.

Succeeded

The Fabric item label was changed.